Old Wifi Cards

#1

Does anyone know where I can find drivers for old Wifi cards? Mine is not recognized at all by the OS.
I am installing to a Dell Inspiron Mini 9, which is ten years old and used to run XP. The wifi card worked in XP, so that means it’s most likely a driver issue and not a hardware issue.

0 Likes

#2

You can use drive booster from obit.com its free. This is for Windows OS only though.

0 Likes

#3

Mots likely you’ll just need to add the firmware. To define what firmware is right, we need to know what card your system is using.
Before I start to google what is possible in the ‘Dell Inspiron Mini 9’, I’d like to ask you for some homework.

  • Open a terminal
  • Enter: lspci
  • look for something with ‘wifi’, ‘network’ or similar.

lupus@zoe:~$ lspci
00:00.0 Host bridge: Intel Corporation 4th Gen Core Processor DRAM Controller (r
ev 06)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05)
[…]
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-V (rev 05)
[…]

see, there is no wifi in my desktop …

0 Likes

#4

Maybe my idea was too easy. It is a Broadcom Chipset.

But there is hope anyway:
https://joeyh.name/boxen/gnu/#index3h2

The solutions in prefered order:

  • buy an Intel based new MiniPCI(?) network-card
  • using the windows driver via ndiswrapper
  • try the Linux driver, provided by Broadcom
0 Likes

#5

Is the broadcom driver that bad?? Ahah

0 Likes

#6

There are very good, good supported devices and lesser good supported devices. And not at all supported devices. Those Broadcom WLAN Card is nearly the last group. Not Broadcom in general.

But the NDISWraper Team does a great job. Even it is bad to support closed Firmware in a open OS, you are free to use given Windows Driver with only a little efford. But if you want to use monitor mode or other advanced features (Sometimes just the wish to use german 2,4GHz WIFI Channels, not allowed in other countries) you are lost…

But take a look at the other solutions. For just 30 bucks you’ll get a intel card with native driver, within the Linux kernel. The replacement could be done easily, if you are able to disassamble a toaster and/or your Laptop is listed at ifixit.
This solution override the need go discuss how bad or good any company or chipset is.

Edit: Written on a mobile, at a hotel in Mallorca… Sorry for the typos.

1 Like

#7

Yes, try the ndiswrapper configurator included in Elive (graphical) you may have luck installing the windows driver to be used with it

1 Like

#8

Is there less supported old wifi cards on 3.0 than on 2.0? I’m using now on 2.0 a pcmcia card which works.

0 Likes

#9

It is possible that Elive 3.0 doesn’t include so well pcmcia support, so you can try to install any missing package to see if there’s a missing one (on such case report it to include it in the next versions). If im not wrong the installer also asks you if you want to remove the pcmcia support

But yes, I have see a few wifi drivers that was not possible to include in 3.0 that was available in 2.0 (but also there’s much much more wifi cards supported in 3.0, specially for newer hardware)

0 Likes

#10

It is always a chance a card could work or could not work, on any system. It is more probably that a card will work with a system/kernel, build around the same time. But there is no guarantee.

But there are many compatibility lists. My bookmarks are all empty now, but google says:
http://linux-wless.passys.nl/query_alles.php
https://wireless.wiki.kernel.org/en/users/drivers

Many PCMCIA cards I’ve used around 2000 to 2005 working like:

  • Check vendor ID and device ID
  • If driver is available ‘modprobe’
  • Load firmware in device
  • Ready to rumble

The third step is the most difficult, because the firmware isn’t opensource. So it has to be found by google and copied to the place the driver wanted (f.ex. /etc/firmware/).
Cards with Prism54 chip is always a good idea.

1 Like

#11

Well, I have see also a few (2-3) drivers that didn’t compile on newer kernels because they are not maintained anymore, maybe the kernel introduced them with a different name, who knows? but not with that name are compilable anymore in any case…

Like prism2000 or something similar, and zd1211 maybe? not sure…

In any case, if there’s a missing wifi working on newer versions, and you are able to manage to make it working, please report the how to include the support on Elive so that it will work by default to anyone :slight_smile:

0 Likes